"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var types = require("@babel/types");
var BinaryExpressionMutator = /** @class */ (function () {
    function BinaryExpressionMutator() {
        this.operators = {
            '!=': '==',
            '!==': '===',
            '%': '*',
            '&&': '||',
            '*': '/',
            '+': '-',
            '-': '+',
            '/': '*',
            '<': ['<=', '>='],
            '<=': ['<', '>'],
            '==': '!=',
            '===': '!==',
            '>': ['>=', '<='],
            '>=': ['>', '<'],
            '||': '&&',
        };
        this.name = 'BinaryExpression';
    }
    BinaryExpressionMutator.prototype.mutate = function (node, clone) {
        if (types.isBinaryExpression(node) || types.isLogicalExpression(node)) {
            var mutatedOperators = this.operators[node.operator];
            if (mutatedOperators) {
                if (typeof mutatedOperators === 'string') {
                    mutatedOperators = [mutatedOperators];
                }
                return mutatedOperators.map(function (mutatedOperator) {
                    var mutatedNode = clone(node);
                    mutatedNode.operator = mutatedOperator;
                    return mutatedNode;
                });
            }
        }
    };
    return BinaryExpressionMutator;
}());
exports.default = BinaryExpressionMutator;
//# sourceMappingURL=BinaryExpressionMutator.js.map