"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var types = require("@babel/types");
/**
 * Represents a mutator which can remove the content of a Block.
 */
var BlockMutator = /** @class */ (function () {
    function BlockMutator() {
        this.name = 'Block';
    }
    BlockMutator.prototype.mutate = function (node, copy) {
        if (types.isBlockStatement(node) && node.body.length > 0) {
            var mutatedNode = copy(node);
            mutatedNode.body = [];
            return [mutatedNode];
        }
    };
    return BlockMutator;
}());
exports.default = BlockMutator;
//# sourceMappingURL=BlockMutator.js.map