"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var types = require("@babel/types");
var NodeGenerator_1 = require("../helpers/NodeGenerator");
/**
 * Represents a mutator which can remove the conditional clause from statements.
 */
var DoStatementMutator = /** @class */ (function () {
    function DoStatementMutator() {
        this.name = 'DoStatement';
    }
    DoStatementMutator.prototype.mutate = function (node) {
        if (types.isDoWhileStatement(node)) {
            return [NodeGenerator_1.NodeGenerator.createBooleanLiteralNode(node.test, false)];
        }
    };
    return DoStatementMutator;
}());
exports.default = DoStatementMutator;
//# sourceMappingURL=DoStatementMutator.js.map