"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var types = require("@babel/types");
var PostfixUnaryExpressionMutator = /** @class */ (function () {
    function PostfixUnaryExpressionMutator() {
        this.name = 'PostfixUnaryExpression';
        this.operators = {
            '++': '--',
            '--': '++'
        };
    }
    PostfixUnaryExpressionMutator.prototype.mutate = function (node, copy) {
        if (types.isUpdateExpression(node) && !node.prefix && this.operators[node.operator]) {
            var mutatedNode = copy(node);
            mutatedNode.operator = this.operators[node.operator];
            return [mutatedNode];
        }
    };
    return PostfixUnaryExpressionMutator;
}());
exports.default = PostfixUnaryExpressionMutator;
//# sourceMappingURL=PostfixUnaryExpressionMutator.js.map