"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var types = require("@babel/types");
var NodeGenerator_1 = require("../helpers/NodeGenerator");
/**
 * Represents a mutator which can remove the conditional clause from statements.
 */
var WhileStatementMutator = /** @class */ (function () {
    function WhileStatementMutator() {
        this.name = 'WhileStatement';
    }
    WhileStatementMutator.prototype.mutate = function (node) {
        if (types.isWhileStatement(node)) {
            return [NodeGenerator_1.NodeGenerator.createBooleanLiteralNode(node.test, false)];
        }
    };
    return WhileStatementMutator;
}());
exports.default = WhileStatementMutator;
//# sourceMappingURL=WhileStatementMutator.js.map